Package ru.bitel.bgbilling.plugins.documents.server.bean

# Class DocumentStatusDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<DocumentStatus>
ru.bitel.bgbilling.common.dao.AbstractIdDao<DocumentStatus>
ru.bitel.bgbilling.common.dao.AbstractDirectoryIdDao<DocumentStatus>
ru.bitel.bgbilling.plugins.documents.server.bean.DocumentStatusDao

All Implemented Interfaces:
  `Directory<DocumentStatus>`

public class DocumentStatusDao extends ru.bitel.bgbilling.common.dao.AbstractDirectoryIdDao<DocumentStatus>
DAO (Data Access Object - объект доступа к данным) для работы со статусами документов. Класс осуществляет вставку/обновление/удаление статусов в БД.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentStatusDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addStatusLog(DocumentStatusLogItem item)`
  Добавление записи в таблицу с логами статусов по документу
  `List<DocumentStatus>`
  `directoryItems()`
  Получение всего списка элементов из справочника
  `DocumentStatus`
  `getDirectoryItem(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected DocumentStatus`
  `getFromRS(ResultSet rs)`
  `List<DocumentStatusLogItem>`
  `getStatusHistory(int documentId)`
  Получение истории изменения статусов документа по коду документа.
  `protected void`
  `updateImpl(DocumentStatus documentStatus)`
  Вставка/Обновление статуса документа в БД.

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDirectoryIdDao

  `deleteDirectoryItem, getDirectoryItem, updateDirectoryItem`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `optDirectoryItem`

- ## Constructor Details

  - ### DocumentStatusDao

    public DocumentStatusDao(Connection con)

- ## Method Details

  - ### updateImpl

    protected void updateImpl(DocumentStatus documentStatus) throws SQLException
    Вставка/Обновление статуса документа в БД.
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<DocumentStatus>`
    Throws:
      `SQLException`

  - ### directoryItems

    public List<DocumentStatus> directoryItems() throws SQLException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `directoryItems` in interface `Directory<DocumentStatus>`
    Overrides:
      `directoryItems` in class `ru.bitel.bgbilling.common.dao.AbstractDirectoryIdDao<DocumentStatus>`
    Returns:
    Throws:
      `SQLException`

  - ### getStatusHistory

    public List<DocumentStatusLogItem> getStatusHistory(int documentId) throws SQLException
    Получение истории изменения статусов документа по коду документа.
    Parameters:
      `documentId` - код документа
    Returns:
      история изменения статусов
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### addStatusLog

    public void addStatusLog(DocumentStatusLogItem item) throws SQLException
    Добавление записи в таблицу с логами статусов по документу
    Parameters:
      `item` - запись лога
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getDirectoryItem

    public DocumentStatus getDirectoryItem(String title) throws SQLException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `getDirectoryItem` in interface `Directory<DocumentStatus>`
    Overrides:
      `getDirectoryItem` in class `ru.bitel.bgbilling.common.dao.AbstractDirectoryIdDao<DocumentStatus>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `SQLException`

  - ### getFromRS

    protected DocumentStatus getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<DocumentStatus>`
    Throws:
      `SQLException`